/* ==========================================================================
   INTRALIGA WIDGET
   ========================================================================== */


/***** Wrapper */

.sebp-intraliga-leaderboard-widget {
    padding: 24px;
    display: flex;
    gap: 24px;
    flex-direction: column;
    background: var(--color-accent-yellow);
    border-radius: var(--page-layout-border-radius, 0);
}

.sebp-leaderboard-header {
    font-size: 16px;
    line-height: 1.5;
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
    align-items: baseline;
    justify-content: space-between;
}

.sebp-leaderboard-title:not(:last-child) {
    margin-bottom: 4px;
}

.sebp-leaderboard-info {
    font-size: 14px;
    line-height: 20px;
    color: var(--color-content-faded);
    text-align: right;
    padding-top: 8px;
    border-top: 1px solid var(--color-content-tertiary-20);
}

.sebp-leaderboard-info i {
    margin-right: 4px;
}

@media (min-width: 768px) {
    .sebp-intraliga-leaderboard-widget {
        padding: 32px;
    }
}


/***** Leaderboard Table */

.sebp-intraliga-leaderboard-widget .gamipress-leaderboard-title {
    display: none !important;
}

.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper table,
.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper tbody,
.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper tr,
.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper td {
    display: block;
    border: none !important;
    padding: 0 !important;
    margin: 0;
    background: transparent;
}

.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper thead {
    display: none !important;
}

.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper tr,
.sebp-intraliga-leaderboard-widget .sebp-current-user-row {
    display: flex !important;
    flex-direction: row !important;
    align-items: center !important;
    flex-wrap: nowrap !important;
    background-color: var(--color-white, #FFFFFF) !important;
    border-radius: 40px;
    padding: 4px 16px 4px 4px !important;
    margin-bottom: 4px;
}

.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper tr:last-child,
.sebp-intraliga-leaderboard-widget .sebp-current-user-row:last-child {
    margin-bottom: 0;
}

.sebp-intraliga-leaderboard-widget .sebp-current-user-row {
    margin-top: 4px;
}

.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper td.column-position,
.sebp-intraliga-leaderboard-widget .sebp-current-user-row .sebp-lb-rank {
    height: 32px;
    flex-shrink: 0;
    min-width: 32px;
    width: auto !important;
    font-size: 16px;
    line-height: 32px;
    margin-right: 8px;
    border-radius: 96px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    max-width: none !important;
    font-weight: var(--bold-font-weight);
    background: var(--color-accent-yellow);
    color: var(--color-content-primary-dark);
}

.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper td.column-position strong {
    color: var(--color-content-primary-dark);
}

.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper td.column-display_name,
.sebp-intraliga-leaderboard-widget .sebp-current-user-row .sebp-lb-name {
    flex-grow: 1;
    font-size: 16px;
    font-weight: var(--font-weight);
    line-height: 1.5;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    padding-right: 8px !important;
    color: var(--color-content-heading);
}

.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper td.column-display_name a {
    color: inherit;
    text-decoration: none;
}

.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper td.column-display_name strong {
    color: inherit;
    font-weight: var(--font-weight);
}

.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper td.column-bod,
.sebp-intraliga-leaderboard-widget .sebp-current-user-row .sebp-lb-points {
    flex-shrink: 0;
    font-size: 14px;
    line-height: 20px;
    white-space: nowrap;
    color: var(--color-content-faded);
}


/**** context-main */

.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tbody {
    display: flex;
    flex-direction: column;
}

.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(1) td.column-position,
.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(2) td.column-position,
.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(3) td.column-position {
    background: var(--color-content-primary-dark);
    color: var(--color-accent-yellow);
    width: 32px !important;
    height: 32px !important;
    font-size: 1rem;
    margin-right: 16px;
}

.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(1) td.column-position strong,
.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(2) td.column-position strong,
.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(3) td.column-position strong {
    color: var(--color-accent-yellow);
}

.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(1),
.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(2),
.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(3) {
    padding: 8px 16px 8px 8px !important;
}

.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(1) td.column-display_name strong,
.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(2) td.column-display_name strong,
.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(3) td.column-display_name strong {
    font-family: var(--h5-font-family, inherit);
    font-weight: var(--h5-font-weight, inherit);
    font-stretch: var(--h5-font-stretch, normal);
    font-size: var(--h5-font-size, inherit);
    font-style: var(--h5-font-style, inherit);
    line-height: var(--h5-line-height, 1.4);
    letter-spacing: var(--h5-letter-spacing, inherit);
    text-transform: var(--h5-text-transform, inherit);
    color: var(--color-content-primary-dark);
}

.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(1) td.column-bod,
.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(2) td.column-bod,
.sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(3) td.column-bod {
    font-size: 1rem;
    font-weight: var(--bold-font-weight);
    color: var(--color-content-primary-dark);
}


/**** context-columns */

.sebp-intraliga-leaderboard-widget.context-columns .sebp-gp-leaderboard-wrapper tr,
.sebp-intraliga-leaderboard-widget.context-columns .sebp-current-user-row {
    width: fit-content;
}

.sebp-intraliga-leaderboard-widget.context-columns .sebp-gp-leaderboard-wrapper td.column-display_name,
.sebp-intraliga-leaderboard-widget.context-columns .sebp-current-user-row .sebp-lb-name {
    flex-grow: 0;
}

@media (min-width: 768px) {
    .sebp-intraliga-leaderboard-widget.context-columns .sebp-gp-leaderboard-wrapper tbody {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: repeat(5, auto);
        grid-auto-flow: column;
        gap: 4px 8px;
    }
    .sebp-intraliga-leaderboard-widget.context-columns .sebp-gp-leaderboard-wrapper tr {
        margin-bottom: 0;
    }
    .sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(1) td.column-position,
    .sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(2) td.column-position,
    .sebp-intraliga-leaderboard-widget.context-main .sebp-gp-leaderboard-wrapper tr:nth-child(3) td.column-position {
        width: 48px !important;
        height: 48px !important;
    }
}


/**** Current User Hightlight */

.sebp-intraliga-leaderboard-widget .sebp-current-user-row.is-current-user,
.sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper tr.is-current-user {
    box-shadow: inset 0 0 0 2px var(--color-content-primary);
}


/* ==========================================================================
   DATATABLES MOBILE OVERRIDE
   ========================================================================== */


/* ==========================================================================
   GAMIPRESS MOBILE OVERRIDES
   ========================================================================== */

@media only screen and (max-width: 760px),
(min-device-width: 768px) and (max-device-width: 1024px) {
    .sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper table.dataTable>tbody>tr>td:before {
        display: none !important;
    }
    .sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper table.dataTable>tbody>tr>td.column-bod {
        display: block !important;
    }
    .sebp-intraliga-leaderboard-widget .gamipress-leaderboard-table-responsive tr td:not(.column-position):not(.column-avatar):not(.column-display_name) {
        display: block !important;
        text-align: left !important;
        flex-basis: auto !important;
        width: fit-content !important;
    }
    .sebp-intraliga-leaderboard-widget .gamipress-leaderboard-table-responsive tr td.column-position,
    .sebp-intraliga-leaderboard-widget .gamipress-leaderboard-table-responsive tr td.column-avatar {
        cursor: default !important;
        flex: 0 0 auto !important;
        width: fit-content !important;
    }
    .sebp-intraliga-leaderboard-widget .gamipress-leaderboard-table-responsive tr td.column-display_name {
        cursor: default !important;
        flex: 1 1 auto !important;
        width: fit-content !important;
    }
    .sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper table.dataTable>tbody>tr>td.column-display_name::before,
    .sebp-intraliga-leaderboard-widget .sebp-gp-leaderboard-wrapper table.dataTable>tbody>tr>td.column-display_name::after {
        display: none !important;
        content: none !important;
    }
}


/* ==========================================================================
   INTRALIGA STATS WIDGET (Profile & Global)
   ========================================================================== */

.sebp-stats-widget {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 24px;
    overflow: hidden;
    background: var(--color-content-bg);
    border-radius: var(--page-layout-border-radius, 0);
}

.sebp-stats-widget .sebp-stats-header {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.sebp-stats-widget .sebp-stats-header h3 {
    margin: 0;
}

.sebp-stats-widget .sebp-stats-controls {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    align-items: center;
}

.sebp-stats-widget .sebp-toggle-group {
    background: var(--color-content-tertiary-10);
    padding: 4px;
    border-radius: 40px;
    display: flex;
}

.sebp-stats-widget .sebp-toggle-group .sebp-toggle-btn {
    border: none;
    cursor: pointer;
    font-size: 16px;
    line-height: 1.5;
    padding: 8px 16px;
    border-radius: 40px;
    background: transparent;
    color: var(--color-content-primary);
    transition: all 0.3s ease;
}

.sebp-stats-widget .sebp-toggle-group .sebp-toggle-btn.active {
    color: var(--color-content-heading);
    background: var(--color-white, #FFFFFF);
}

.no-touch .sebp-stats-widget .sebp-toggle-group .sebp-toggle-btn:not(.active):hover {
    color: var(--color-content-link-hover);
    background: var(--color-content-tertiary-10);
}

.sebp-stats-widget .sebp-stats-cards {
    display: grid;
    grid-template-columns: 1fr;
    gap: 16px;
}

.sebp-stats-widget .sebp-stat-card {
    padding: 24px;
    display: flex;
    gap: 16px;
    align-items: center;
    background: var(--color-content-bg-alt);
    border-radius: var(--page-layout-border-radius, 0);
}

.sebp-stats-widget.context-main .sebp-stat-card {
    background: var(--color-white, #FFFFFF);
}

.sebp-stats-widget .sebp-stat-icon {
    width: 2em;
    height: 2em;
    flex-shrink: 0;
    border: 2px solid var(--color-content-primary);
    border-radius: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: var(--color-content-primary);
    font-size: 32px;
}

.sebp-stats-widget .sebp-stat-value {
    font-family: var(--h1-font-family, inherit);
    font-weight: var(--h1-font-weight);
    font-size: var(--h1-font-size);
    line-height: var(--h1-line-height);
    letter-spacing: var(--h1-letter-spacing);
    color: var(--color-content-heading);
}

.sebp-stats-widget .sebp-stat-value:not(:last-child) {
    margin-bottom: 4px;
}

.sebp-stats-widget .sebp-stat-label {
    font-size: 16px;
    line-height: 1.5;
    color: var(--color-content-text);
}

.sebp-stats-widget .sebp-stats-info {
    font-size: 14px;
    line-height: 20px;
    color: var(--color-content-faded);
    text-align: right;
}

.sebp-stats-widget .sebp-stats-info i {
    margin-right: 4px;
}

@media (min-width: 768px) {
    .sebp-stats-widget {
        padding: 32px;
        gap: 24px;
    }
    .sebp-stats-widget .sebp-stats-controls {
        gap: 24px;
    }
    .sebp-stats-widget .sebp-stats-header {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }
    .sebp-stats-widget .sebp-stats-cards {
        grid-template-columns: repeat(3, 1fr);
        gap: 24px;
    }
    .sebp-stats-widget .sebp-stat-card {
        padding: 32px;
        flex-direction: column;
        align-items: flex-start;
    }
    .sebp-stats-widget .sebp-stat-value:not(:last-child) {
        margin-bottom: 16px;
    }
}

@media (min-width: 1280px) {
    .sebp-stats-widget {
        padding: 48px;
    }
}


/* ==========================================================================
   INTRALIGA CHALLENGES GRID
   ========================================================================== */

.sebp-challenges-wrapper .sebp-challenges-header {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin-bottom: var(--separator_height_size_small);
}

.sebp-challenges-wrapper .sebp-challenges-header h3 {
    margin: 0;
}

.sebp-challenges-wrapper .sebp-notify-switch {
    display: flex;
    gap: 16px;
    align-items: center;
    font-size: 16px;
    line-height: 1.5;
    font-weight: var(--bold-font-weight);
    color: var(--color-content-heading);
    transition: opacity 0.3s ease;
}

.sebp-challenges-wrapper .sebp-challenges-grid {
    display: grid;
    gap: 16px;
    grid-template-columns: repeat(1, minmax(0, 1fr));
}

.sebp-challenges-wrapper .sebp-challenge-card {
    display: flex;
    gap: 16px;
    flex-direction: column;
    padding: 24px;
    background: var(--color-content-bg-alt);
    border-radius: var(--page-layout-border-radius, 0);
}

.sebp-challenges-wrapper .sebp-challenge-card .sebp-challenge-icon {
    width: 64px;
    height: 64px;
    border-radius: 50%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    background: transparent;
}

.sebp-challenges-wrapper .sebp-challenge-card .sebp-challenge-icon:not(:has(img)) {
    display: none;
}

.sebp-challenges-wrapper .sebp-challenge-card .sebp-challenge-icon img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.sebp-challenges-wrapper .sebp-challenge-card h4 {
    margin: 0 0 8px 0;
}

.sebp-challenges-wrapper .sebp-challenge-card p {
    font-size: 16px;
    line-height: 1.5;
    color: var(--color-content-text);
    flex-grow: 1;
}

.sebp-challenges-wrapper .sebp-challenge-card .sebp-challenge-pts {
    font-size: 16px;
    line-height: 1.5;
    font-weight: var(--bold-font-weight);
    color: var(--color-content-heading);
}

.sebp-challenges-wrapper .sebp-challenge-card .sebp-challenge-pts i {
    font-size: 16px;
    line-height: inherit;
    margin-right: 4px;
    color: var(--color-content-tertiary);
}

@media (min-width: 768px) {
    .sebp-challenges-wrapper .sebp-challenges-grid {
        gap: 24px;
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
    .sebp-challenges-wrapper .sebp-challenge-card {
        gap: 24px;
        padding: 32px;
    }
    .sebp-challenges-wrapper .sebp-challenge-icon {
        width: 96px;
        height: 96px;
    }
}

@media (min-width: 1024px) {
    .sebp-challenges-wrapper .sebp-challenges-grid {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
}

@media (min-width: 1280px) {
    .sebp-challenges-wrapper .sebp-challenges-grid {
        grid-template-columns: repeat(4, minmax(0, 1fr));
    }
}


/* ==========================================================================
   INTRALIGA AWARDS LIST
   ========================================================================== */

.sebp-achievements-box .sebp-achievements-header {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    gap: 24px;
    margin-bottom: var(--separator_height_size_medium);
}

.sebp-achievements-box .sebp-achievements-header h3 {
    margin: 0;
}

.sebp-achievements-box .sebp-achievements-header .sebp-count {
    font-family: var(--h5-font-family, inherit);
    font-weight: var(--h5-font-weight, inherit);
    font-stretch: var(--h5-font-stretch, normal);
    font-size: var(--h5-font-size, inherit);
    font-style: var(--h5-font-style, inherit);
    line-height: var(--h5-line-height, 1.4);
    letter-spacing: var(--h5-letter-spacing, inherit);
    text-transform: var(--h5-text-transform, inherit);
    color: var(--color-content-faded);
}

.sebp-achievements-box .sebp-achievements-sort {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 16px;
    width: 100%;
}

.sebp-achievements-box .sebp-achievements-sort>label {
    font-size: 16px;
    line-height: 1.5;
    flex-shrink: 0;
    color: var(--color-content-heading);
    font-weight: var(--bold-font-weight);
}

.sebp-achievements-box .sebp-achievements-sort>select {
    width: 240px;
    -webkit-appearance: none;
    appearance: none;
    padding-inline-end: max(var(--inputs-padding, .6em) * 2 + .8em, 1.5em);
    background: #FFFFFF url(data:image/svg+xml;charset=US-ASCII,%3Csvg%20width%3D%2220%22%20height%3D%2220%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M5%206l5%205%205-5%202%201-7%207-7-7%202-1z%22%20fill%3D%22%23888888%22%2F%3E%3C%2Fsvg%3E) no-repeat right 20px top 55% !important;
}

.sebp-achievements-box .sebp-achievements-list {
    transition: opacity 0.3s ease;
}

.sebp-achievements-box .sebp-achievement-item {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 16px;
    border-bottom: 1px solid var(--color-content-tertiary-20);
}

.sebp-achievements-box .sebp-achievement-item .sebp-achievement-icon {
    width: 64px;
    height: 64px;
    border-radius: 50%;
    flex-shrink: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    background: transparent;
}

.sebp-achievements-box .sebp-achievement-item .sebp-achievement-icon:not(:has(img)) {
    display: none;
}

.sebp-achievements-box .sebp-achievement-item .sebp-achievement-icon img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.sebp-achievements-box .sebp-achievement-item .sebp-achievement-content {
    flex-grow: 1;
}

.sebp-achievements-box .sebp-achievement-item .sebp-achievement-desc {
    margin: 0;
    font-size: 16px;
    line-height: 1.5;
    color: var(--color-content-text);
}

.sebp-achievements-box .sebp-achievement-item .sebp-achievement-meta {
    font-size: 14px;
    line-height: 20px;
    text-align: right;
    color: var(--color-content-faded);
}

.sebp-achievements-box .sebp-load-more-wrap {
    display: flex;
    justify-content: center;
    margin-top: var(--separator_height_size_medium);
}

@media (min-width: 768px) {
    .sebp-achievements-box .sebp-achievements-header {
        flex-wrap: wrap;
        align-items: center;
        flex-direction: row;
        justify-content: space-between;
    }
    .sebp-achievements-box .sebp-achievements-sort {
        width: auto;
        justify-content: flex-start;
    }
    .sebp-achievements-box .sebp-achievement-item {
        flex-direction: row;
        align-items: center;
    }
}